Subject: [FIAT-dev] [HG fiat] I added a first attempt at piola-mapped elements

From: [email-masked] (FIAT)
Date: Wed, 7 Nov 2007 23:26:29 +0100 (CET)

One or more new changesets pushed to the primary FIAT repository.
A short summary of the last three changesets is included below.

changeset:   85:57fef3e95f3915bf1ac42276e55b1aa7c411f18a
tag:         tip
user:        kirby@localhost
date:        Wed Nov 07 16:34:11 2007 -0600
files:       FIAT/testtrans.py FIAT/transformedspace.py
description:
I added a first attempt at piola-mapped elements

changeset:   84:ad8513a5ff5d068cf10abbdb749e0eca805b249f
user:        kirby@localhost
date:        Wed Nov 07 13:27:21 2007 -0600
files:       FIAT/testtrans.py FIAT/transformedspace.py
description:
I put in a class for transformed spaces to attempt
to isolate the differences between FIAT and UFC
reference elements.  If this works, I will add
classes that do Piola transforms for H(div) and H(curl)
elements

changeset:   83:cbe790be5c2d84e30df9db31b6eaeaa3e93eb8da
user:        "Marie E. Rognes <[email-masked]>"
date:        Thu Nov 01 19:33:45 2007 +0100
files:       FIAT/Nedelec.py FIAT/shapes.py
description:
Fixed entity_ids numbering bug in Nedelec2D dual, added scaling of
tangent dofs to ensure continuity, upped in the quadrature degree as
for RT and corrected a typo in a comment in shapes.py

----------------------------------------------------------------------
For more details, visit http://www.fenics.org/hg/fiat